/**
 * @since 1.0.0
 */
import { CodeDeployClient } from "@aws-sdk/client-codedeploy";
import { Context, Effect, Layer } from "effect";
declare const CodeDeployClientInstance_base: Context.TagClass<CodeDeployClientInstance, "@effect-aws/client-codedeploy/CodeDeployClientInstance", CodeDeployClient>;
/**
 * @since 1.0.0
 * @category tags
 */
export declare class CodeDeployClientInstance extends CodeDeployClientInstance_base {
}
/**
 * @since 1.0.0
 * @category constructors
 */
export declare const make: Effect.Effect<CodeDeployClient, never, import("effect/Scope").Scope>;
/**
 * @since 1.0.0
 * @category layers
 */
export declare const layer: Layer.Layer<CodeDeployClientInstance, never, never>;
export {};
//# sourceMappingURL=CodeDeployClientInstance.d.ts.map