/**
 * @since 1.0.0
 */
import type { CodeDeployClientConfig } from "@aws-sdk/client-codedeploy";
import { Effect, Layer } from "effect";
import type { CodeDeployService } from "./CodeDeployService.js";
/**
 * @since 1.0.0
 * @category codedeploy service config
 */
export declare const withCodeDeployServiceConfig: {
    (config: CodeDeployService.Config): <A, E, R>(effect: Effect.Effect<A, E, R>) => Effect.Effect<A, E, R>;
    <A, E, R>(effect: Effect.Effect<A, E, R>, config: CodeDeployService.Config): Effect.Effect<A, E, R>;
};
/**
 * @since 1.0.0
 * @category codedeploy service config
 */
export declare const setCodeDeployServiceConfig: (config: CodeDeployService.Config) => Layer.Layer<never, never, never>;
/**
 * @since 1.0.0
 * @category adapters
 */
export declare const toCodeDeployClientConfig: Effect.Effect<CodeDeployClientConfig>;
//# sourceMappingURL=CodeDeployServiceConfig.d.ts.map